Name: soundmodem
Version: 0.18
Release: 3%{?dist}
Summary: Soundcard Packet Radio Modem
Group: Applications/Communications
License: GPLv2+
URL: http://pv529.ncsrv.de/soundmodem/
Source: http://pv529.ncsrv.de/soundmodem/%{name}-%{version}.tar.gz
Source1: soundmodem.service
Patch1: %{name}-0.16-dirfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Requires: /sbin/ifconfig /sbin/route /sbin/arp
BuildRequires: gtk2-devel
BuildRequires: alsa-lib-devel
BuildRequires: libxml2-devel
BuildRequires: audiofile-devel
BuildRequires: hamlib-devel
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units


%description
This package contains the driver and the diagnostic utility for
userspace SoundModem. It allows you to use soundcards
as Amateur Packet Radio modems.

%package devel

Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch1 -p1 -b .dirfix

%build
#autoreconf -if
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
find %{buildroot} -name '*.la' -exec rm -f {} ';'
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/ax25
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/soundmodem.service
mkdir -p %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/modem.h %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/simd.h %{buildroot}%{_includedir}/%{name}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/usr/bin/systemctl enable soundmodem.service

%preun
if [ $1 = 0 ]; then
 /usr/bin/systemctl -q stop soundmodem.service
 /usr/bin/systemctl -q disable soundmodem.service
fi

%postun
if [ "$1" -ge "1" ] ; then
 /usr/bin/systemctl -q condrestart soundmodem.service
fi


%files -f %{name}.lang
%defattr(-, root, root, -)
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/*/*
%{_unitdir}/soundmodem.service
%doc AUTHORS COPYING ChangeLog NEWS README newqpsk/README.newqpsk

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 24 2014 Lucian Langa <cooly@gnome.eu.org> - 0.18-1
- update to latest upstream
- use temporary url for source

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 24 2012 Lucian Langa <cooly@gnome.eu.org> - 0.16-1
- add patch to fix ax25 config directory
- build against hamlib
- add systemd migration from Alan Crosswell (fixes #854046)
- new upstream release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.15-3
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 18 2010 Lucian Langa <cooly@gnome.eu.org> - 0.15-1
- new upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 01 2009 Lucian Langa <cooly@gnome.eu.org> - 0.14-1
- new upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Lucian Langa <cooly@gnome.eu.org> - 0.12-1
- update BR
- drop autoreconf
- drop all patches as fixed ustream
- new upstream release

* Sun Jan 25 2009 Lucian Langa <cooly@gnome.eu.org> - 0.10-6
- apply debian patch for tx switching in ALSA mode

* Sat Dec 06 2008 Alan Crosswell <alan@columbia.edu> - 0.10-5
- Apply patch to remove spurious printfs.

* Wed Dec 03 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-4
- move include files to it's own separate include dir
- fix duplicated doc files

* Thu Nov 20 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-3
- update scriptlets
- update BR
- fix old configure script

* Thu Jul 17 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-2
- Description update

* Fri Jul 11 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-1
- Initial spec file

